View Single Post
  #7  
Old 1st February 2006, 14:49
gimhan90 gimhan90 is offline
Senior Member
 
Join Date: Jan 2006
Posts: 139
Thanks: 2
Thanked 0 Times in 0 Posts
Default first part of the error log


I looked the http://www.howtoforge.com/forums/showthread.php?t=1626 and did the nessary changes as it showed.

what i did

~~~~~~~~~~~~~~~~~~~~ STEP 2 ~~~~~~~~~~~~~~~~~~~~
yast -i openssl-devel-32bit

~~~~~~~~~~~~~~~~~~~~ STEP 3 ~~~~~~~~~~~~~~~~~~~~
mkdir /usr/local/lib/mysql
cd /usr/local/lib/mysql
ln -s /usr/include/mysql include
ln -s /usr/lib64/mysql lib

~~~~~~~~~~~~~~~~~~~~ STEP 5 ~~~~~~~~~~~~~~~~~~~~
vi compile_aps/compile
Change line 85 to:
./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php --with-openssl=${INSTALL_ROOT}/openssl --with-mysql=/usr/local/lib/mysql --disable-libxml --with-zlib-dir=/usr/lib64 || error "Could not configure PHP"

~~~~~~~~~~~~~~~~~~~~ STEP 6 ~~~~~~~~~~~~~~~~~~~~
Install ISPConfig (./setup)

Result - FAIL the installation


Do i also need to install all the packages which are displayed in the logfile as follows .

E.G: checking for byacc... no like that

first part of the error log ,

--------------------------------------------------------+
| You now have successfully built and installed the |
| Apache 1.3 HTTP server. To verify that Apache actually |
| works correctly you now should first check the |
| (initially created or preserved) configuration files |
| |
| /root/ispconfig/httpd/conf/httpd.conf
| |
| and then you should be able to immediately fire up |
| Apache the first time by running: |
| |
| /root/ispconfig/httpd/bin/apachectl start
| |
| Or when you want to run it with SSL enabled use: |
| |
| /root/ispconfig/httpd/bin/apachectl startssl
| |
| Thanks for using Apache. The Apache Group |
| http://www.apache.org/ |
+--------------------------------------------------------+
creating cache ./config.cache
checking host system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler (gcc ) works... yes
checking whether the C compiler (gcc ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for AIX... no
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... yes
checking for re2c... exit 0;
checking whether ln -s works... yes
checking for mawk... no
checking for gawk... gawk
checking for bison... no
checking for byacc... no
configure: warning: You will need bison if you want to regenerate the PHP parsers.
checking for flex... flex
checking for yywrap in -lfl... yes
checking lex output file root... lex.yy
checking whether yytext is a pointer... yes
checking for working const... yes
checking flex version... 2.5.4 (ok)
checking whether byte ordering is bigendian... no
checking whether to force non-PIC code in shared modules... no
checking for pthreads_cflags... -pthread
checking for pthreads_lib...

Configuring SAPI modules
checking for AOLserver support... no
checking for Apache 1.x module support via DSO through APXS... yes
checking for mod_charset compatibility option... no
checking for member fd in BUFF *... yes
checking for Apache 2.0 filter-module support via DSO through APXS... no
checking for Apache 2.0 handler-module support via DSO through APXS... no
checking for Apache 1.x (hooks) module support via DSO through APXS... no
checking for Apache 1.x (hooks) module support... no
checking for mod_charset compatibility option... no
checking for Caudium support... no
checking for CLI build... yes
checking for Continuity support... no
checking for embedded SAPI library support... no
checking for Zeus ISAPI support... no
checking for Milter support... no
checking for NSAPI support... no
checking for PHTTPD support... no
checking for Pi3Web support... no
checking for Roxen/Pike support... no
checking for thttpd... no
checking for TUX... no
checking for webjames... no
checking for chosen SAPI module... apache
Reply With Quote